/****  FILEIO.H

       Header file for FILEIO.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90

****/

/* * * *  External Function Prototypes * * * */

extern int OpenDisk (char *,int ,char *,int *,char *);
extern void ReadDisk (int ,unsigned char *,long ,int ,int *,char *);
extern void WriteDisk (int ,unsigned char *,long ,int ,char *);
extern int CloseDisk (int ,char *);
extern void OpenCD (char *,int ,int *,char *);
extern int ReadCD (int ,unsigned char *,long ,int ,int *,char *);
extern int CloseCD (int ,char *);
extern int InitializeCD (int *, char *);
extern void ReadBlocksCD (unsigned char *, long, int, char *);
extern void OpenFile (char *, int, char *, int *, char *);
extern int ReadBlocks (int, char *, long, int, int *, char *);
extern void WriteBlocks (int, char *, long, int, char *);
extern int CloseFile (int, char *);

/* * * *  External Global Variables * * * */
extern FCBtype FCB[MaxOpenFiles];

