/****  LABUTIL.H

       Header file for LABUTIL.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90

****/

/* * * *  External Function Prototypes * * * */

extern int ExtractLabelString (char *, int, char *, int *, char *);
extern int GetLabelInteger (char *, int, char *, int, int *, int *);
extern int GetLabelIntegerN (char *, int, char *, int, int, int *, int *);
extern int GetLabelLong (char *, int, char *, long, long *, int *);
extern int GetLabelLongN (char *, int, char *, long, int, long *, int *);
extern int GetLabelReal (char *, int, char *, float, float *, int *);
extern int GetLabelRealN (char *, int, char *, float, int, float *, int *);
extern int GetLabelString (char *, int, char *, char *, char *, int *);
extern int GetLabelStringN (char *, int, char *, char *, int, char *, int *);
extern int InterpretLabel (char *, int, unsigned int *, int *, int *,
                           int *, int *, int *, char *, char *, int);
extern int PutLabel (char *, int *, char *);
extern int PutLabelValue (char *, int *, char *, int);
extern int MakeLabel (char *, int *, int, int, int, int);
extern int GetCommand (char *,char *);

/* * * *  External Global Variables * * * */

extern int   PDSused, switched;
extern long  GiantLabel;
extern int   LastSearch;
extern float maxlat,minlat,maxlon,minlon;
extern char  Object[32];
