/****  REFRESH.H

       Header file for REFRESH.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90

****/

/* * * *  External Function Prototypes * * * */

extern int AllocRefresh (int);
extern int PutRefresh (unsigned char *,int ,int ,int );
extern int GetRefresh (unsigned char *,int ,int ,int );
extern void FreeRefresh (void);
extern void DeallocRefresh (void);
extern void EraseRefresh (void);
extern void Screen2Refresh (void);

/* * * *  External Global Variables * * * */

extern int           RefreshLines;
extern unsigned char *RefreshBuf[MAXDISPNS];
extern unsigned char StageRefresh[MAXDISPNL];
extern char          RefreshName[40];
extern int           refresh;
extern int           RefreshLocation;
