/****  TEXTUTIL.H

       Header file for TEXTUTIL.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 1/91

****/

/* * * *  External Function Prototypes * * * */

extern int  Font (int);
extern int  DrawText (char *, int, int, int, int, int);
extern int  EraseText (int, int, int, int, int);
extern int  LengthText (char *, int, int *);
extern int  TypeText (char *);
extern int  AcceptText (char *);
extern int  WriteText (char *);
extern int  StatusLine (int, char *);

/* * * *  External Global Variables * * * */

extern int    TextLine, TextSample;  /* line and sample where next text will go */
extern int    TextHeight;            /* Default character size */
extern int    BigChars, SmallChars;  /* multiples of character size */
extern int    thefont;               /* The number of the font */
