/***  IMDISP module VESA.H
 
        VESA contains the device dependent display routines for the
    Color Graphics Adapter (CGA), the Enhanced Graphics Adapter (EGA),
    the Professional Graphics Adapter (PGA) and the Video Graphics Array
    (VGA).  The global variables that define the device are allocated
    and initialized here.
 
***/
 
/* * * *  Defined Constants * * * */

#define VESA_Support                   0x4f
#define VESA_Function_Supported        100
#define VESA_Function_Not_Supported    101
#define VESA_Call_Successful             0
#define VESA_Call_Failed                -1

/* * * * Function declarations * * * */

extern int    VESA_Set_Page(unsigned int);
