/****  BUFFER.H

       Header file for BUFFER.H
       Written by Ron Baalke - 06/15/19

****/

/* * * *  External Function Prototypes * * * */

extern void DoCopy(void);
extern void DoMerge(void);
extern int AllocBuffer(int, int, int, int);
extern int PutBuffer (int, unsigned char *, int, int, int);
extern int GetBuffer (int, unsigned char *, int, int, int);
extern void DeallocBuffer(int);


/* * * *  External Global Variables * * * */

extern Buffer Buffers[MAXBUFFERS];
extern char   BufferFileName[40];
