/****  FILTER.H

       Header file for FILTER.H
       Built by Ron Baalke, 05/91

****/

/* * * *  External Function Prototypes * * * */

extern int DoFilter(void);
extern int Mean_Filter(void);
extern int Edge_Filter(void);
extern int Median_Filter(void);
extern int Convolution_Filter(void);
extern int Dark_Filter(int);
extern int Smear_Filter(void);
extern int Baalke_Filter(void);
extern int Unsharp_Filter(void);
extern int Logarithmic_Filter(void);
extern int Power_Filter(void);
extern int Stair_Filter(void);
extern int HighPass_Filter(void);
extern int Histogram_Equalization(void);
extern int DoSlant(void);
extern int DoMask(void);

