/****  KEYWUTIL.H

       Header file for KEYWUTIL.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90
       Extracted from LABUTIL.H by A. Warnock, 1/91

****/

/* * * *  External Function Prototypes * * * */

extern int ExtractKeywordString (char *, char *, int *, char *);
extern int GetKeywordInteger (char *,char *,int ,int *,int *);
extern int GetKeywordLong (char *, char *, long, long *, int *);
extern int GetKeywordReal (char *, char *, float, float *, int *);
extern int GetKeywordString (char *,char *,char *,char *,int *);
extern int GetKeywordSubcommand (char *, char *, int *);

/* * * *  External Global Variables * * * */

extern int   PDSused, switched;
extern long  GiantLabel;
extern int   LastSearch;
extern float maxlat,minlat,maxlon,minlon;
extern char  Object[32];

extern float xstart, xinterval;
extern char  xunit[30];
extern int   xflag;
