/****  SPECTRA.H

       Header file for SPECTRA.C
       Built by A. Warnock, NASA/GSFC 8/92

****/

/* * * *  External Global Variables * * * */

extern Spectrum    baseliner;
extern float       slope, intercept;

/* * * *  External Function Prototypes * * * */

extern void DoSpect(int, int, int, int, long *);
extern void MarkPoints(int, int, int, int, long *, int *, int *,
                       struct Point *, struct Point *);
extern void SumFluxes (int, int, long *, float *);
extern void FitBaseline (int, int, long *);
extern float Baseline (int);

